【AF】【桌面】低概率出现，频繁点击仅息副驾屏后，应该亮屏，但屏幕没有亮的情况
Status: CLOSED Start date: 2023-06-17

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 110（6/16）合入荔枝播客版本

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-06-26

Test Type: Release Test Root cause: 微服务消息发送时序问题

Description

前置条件：

1.设备连接中控，网络正常

2.在中控执行

adb root

adb shell

ssh root@223.255.255.1

dbus-send --bus=tcp:host=223.255.255.1,port=55666 --type=signal / ipcl.out.to.droid.SWC2VHAL_COMM array:byte:3,51,1

【测试步骤】

中控进入设置-显示-息屏模式，频繁点击“仅副驾屏”

【预期结果】

屏幕状态显示正确

【测试结果】

副屏应该亮屏，但屏幕没有亮是息屏状态

History

#1 - 2023-06-17 16:23 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2023-06-25 20:52 - CD FW-廖涛

■ Current conclusion

1. 微服务消息发送时序问题；

2. 中控息屏“仅副驾屏”高亮状态问题；

问题 1 已经处理，问题 2 需要中控确认，已联系；

■ Next action

联系中控开发确认高亮状态；

#3 - 2023-06-26 18:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209490 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com
mailto:root@223.255.255.1


AF:MicroService: Fixed send message timing confusion.TC-RID: 1201-0206101IssueID: TS-R-BUG-118828Change-Id:

If7fe09795736e6d5eb89b6dc5aff1960d78ab2e6

#4 - 2023-06-26 18:59 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-26

- Root cause set to 微服务消息发送时序问题

■ Current conclusion

已处理，代码已入库。

■ My analysis

微服务消息发送时序问题，微服务消息发送已处理为同一 DestService 按照顺序发送。

■ Next action

测试验证。

#5 - 2023-06-26 20:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209948 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroService: Fixed send message timing confusion.TC-RID: 1201-0206101IssueID: TS-R-BUG-118828Change-Id:

If7fe09795736e6d5eb89b6dc5aff1960d78ab2e6(cherry picked from commit e56874bdde668372712cd6542460fdaab1e37774)

#6 - 2023-06-27 17:34 - 物联网测试组_CDTS  唐霞 

验证100次未复现

验证版本114release（627）

#7 - 2023-07-05 17:18 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过关闭问题单

验证版本：release119（704）
#8 - 2023-07-05 17:18 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
